Subject: Re: [PATCH net-next v5 4/4] virtio-net: support dim profile fine-tuning

From: Jakub Kicinski <[email-masked]>
Date: Tue, 9 Apr 2024 18:40:20 -0700

On Tue,  9 Apr 2024 20:03:24 +0800 Heng Qi wrote:
> +	/* DIM profile list */
> +	struct dim_cq_moder rx_eqe_conf[NET_DIM_PARAMS_NUM_PROFILES];

Can you please wrap this into a structure with other necessary
information and add a pointer in struct net_device instead.

What's the point of every single driver implementing the same
boilerplate memcpy() in its get_coalesce / set_coalesce callbacks?